> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all transcript properties

> Get all transcript properties for the specified project.



## OpenAPI

````yaml /specs/analytics/openapi.public.json get /v1/transcript-property/project/{projectID}
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-property/project/{projectID}:
    get:
      tags:
        - Transcript property
        - Public-Docs
      summary: Get all transcript properties
      description: Get all transcript properties for the specified project.
      operationId: TranscriptPropertyPublicController_searchByProjectID_v1
      parameters:
        - name: projectID
          required: true
          in: path
          description: ID of the target Voiceflow project.
          schema:
            type: string
            description: ID of the target Voiceflow project.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  properties:
                    type: array
                    items:
                      $ref: '#/components/schemas/TranscriptPropertyResponse'
                required:
                  - properties
      security:
        - auth: []
components:
  schemas:
    TranscriptPropertyResponse:
      type: object
      properties:
        id:
          type: string
        projectID:
          type: string
        name:
          type: string
        type:
          type: string
        default:
          type: boolean
        createdAt:
          type: string
          format: date
        updatedAt:
          type: string
          format: date
      required:
        - id
        - projectID
        - name
        - type
        - default
        - createdAt
        - updatedAt
      additionalProperties: false
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````